Fortress Forever

Go Back   Fortress Forever > Projects > Fortress Forever > Bug

filesystem_steam.dll error Issue Tools
issueid=431 09-28-2013 02:12 PM
filesystem_steam.dll error

Hello,
my mate is trying to run FF but when he run FF from Steam he got this error: Unable to load c:\program files\steam\steamapps\[username]\[game]\bin\filesystem_steam.dll
tried this https://support.steampowered.com/kb_...ref=1381-EHKV- 4295 but It doesn't work. Also I've verified game cache on Source SDK 2006 and 2007 and nothing helped.
BTW: Also one of my friends on Steam has the same problem.
Issue Details
Project Fortress Forever
Category General Game
Status Unconfirmed
Priority 5 - Medium
Affected Version 2.4
Fixed Version (none)
Users able to reproduce bug 0
Users unable to reproduce bug 0
Assigned Users (none)
Tags (none)

09-28-2013 07:47 PM
internet user
 
just curious, where does [game] actually point?

a guess in the dark, he could opt into the steam client beta and see if that helps at all
Reply
09-28-2013 07:53 PM
 
It is in source sdk directory, I've copyed path from the internet. I don't remember exact path.
Reply
10-08-2013 05:31 PM
 
It didn't help. Tried steam beta... Any ideas?
Reply
10-08-2013 07:31 PM
Stuff Do-er
 
Have you checked to see if the .dll actually exists at the path it's looking for? I have a FileSystem_Steam.dll in both steam\steamapps\[username]\sourcesdk\bin and steam\steamapps\[username]\source sdk base\bin
Reply
10-08-2013 07:36 PM
 
Yes. It's there.
Reply
10-08-2013 08:28 PM
Stuff Do-er
 
Can you run Source SDK Base 2006 on its own (Library -> Tools -> Source SDK Base 2006)? Do you get the same error?
Reply
10-08-2013 08:48 PM
 
Ok, we've run Source SDK Base 2006 - now we are able to run FF but when he tries to connect to some server he got this error STEAM Validation rejected
//also in bottom of screen is "Conflicting server version" "v2.46.1"
//or sometimes he got this error "Servers uses different class tables."
Reply
10-09-2013 12:09 AM
Stuff Do-er
 
What version does it say you have when you first start up the game (what does it say in the bottom right)?

If you have 2.46.1, then the server you're trying to join might be out of date.

Try Moto's: 74.91.114.247:27015
or Old-Timers: 74.91.119.12:27015
Reply
10-12-2013 03:39 PM
 
v2.46.1
these servers also don't work
Reply
Reply

Issue Tools
Subscribe to this issue

All times are GMT. The time now is 11:53 PM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2017, vBulletin Solutions, Inc.